<!--<clr-modal [(clrModalOpen)]="openModal">-->
  <!--<div *ngIf="openChartModal == true">
    <div class="modal">
      <app-chart></app-chart>
      <button type="button" class="btn btn-outline" (click)="openChartModal = false">Close</button>
    </div>
    <div class="modal-backdrop" aria-hidden="true"></div>
</div>-->

<div class="container">
  <h2 class="modal-title">Scenario {{ stackNo + 1 }}</h2>
<!--(ngSubmit)="onSubmit()" remove it as not used, submit using the modal component -->
  <form clrForm [formGroup]="postsForm" clrLabelSize="3" >
      <div class="cross-validation" [class.cross-validation-error]="(postsForm.touched || postsForm.dirty)">
        <div class="form-group">
            <!--(change)="changeCity($event)"-->

            
            <div class="clr-row">
              <div class="clr-col" id="sceneHeader1">
                General Scenario Details
              </div>
            </div>
            <div class="form-group">
              <!--<div class="form-group">-->
              <clr-input-container>
                <label for="">
                  Scene Title*:
                </label>
                <input clrInput type="text" size="10" formControlName="sceneTitle" class="selection">
              </clr-input-container>
            
              </div>
              <clr-combobox-container>
                <label> Background Image Selection*:</label>
                <clr-combobox formControlName="backgroundImage">
                  <!--(change)="changeCity($event)"-->
                  <clr-options  class="selection">
                    <clr-option *ngFor="let b of backgroundImages" [clrValue]="b.url">
                      <div *ngIf="b.url == ''; else elseBlock">
                        {{b.name}}
                      </div>
                      <ng-template #elseBlock>  
                        <img src='{{b.url}}' /> 
                        {{b.name}}
                      </ng-template>
                    </clr-option>
                  </clr-options>
                </clr-combobox>
              </clr-combobox-container>
          </div>
          <div class="form-group">
            <clr-combobox-container>
              <label>Character Image Selection :</label>
              <clr-combobox formControlName="characterImage" class="selection">
                <clr-options>
                  <!--<clr-option [(clrValue)]=" ">Blank Val</clr-option> -->
                  <clr-option *ngFor="let c of characterImages" [clrValue]="c.url">
                    <div *ngIf="c.url == ''; else elseBlock">
                      {{c.name}}
                    </div>
                    <ng-template #elseBlock>  
                      <img src='{{c.url}}' /> 
                      {{c.name}}
                    </ng-template>
                  </clr-option>
                </clr-options>
              </clr-combobox>
            </clr-combobox-container>
          </div>

          <div class="form-group">
              <!--<div class="form-group">-->
            <clr-input-container>
              <label for="">
                Character Name:
              </label>
              <input clrInput type="text" size="10" formControlName="characterName" class="selection">
            </clr-input-container>
                  
              <!--</div>-->
          </div>

          <div class="form-group">
            <clr-textarea-container>
              <label>
                Description* :
                </label>
              <textarea clrTextarea name="" id="" cols="20" rows="2" formControlName="description"></textarea>
            </clr-textarea-container>
          </div>

          <div class="form-group">
            <clr-combobox-container>
              <label>Graph Type: </label>
              <clr-combobox formControlName="graphType" class="selection">
                <clr-options>
                  <clr-option clrValue=" ">None</clr-option>
                  <clr-option clrValue="Image">Image</clr-option>
                  <clr-option clrValue="Data">Data</clr-option>
                </clr-options>
              </clr-combobox>
            </clr-combobox-container>
          </div>

          <div *ngIf="openGraphImageDropDown" class="form-group">
            <clr-combobox-container>
              <label> Graph Image (optional):  </label>
              <clr-combobox formControlName="graphImage" class="selection">
                <clr-options>
                  <clr-option *ngFor="let g of graphImages" [clrValue]="g.url">
                    <img src='{{g.url}}' /> 
                    {{g.name}}
                  </clr-option>
                </clr-options>
              </clr-combobox>
            </clr-combobox-container>
          </div>

          <div *ngIf="openGraphDataDropDown">
            <div  class="form-group">
              <clr-combobox-container>
                <label> Graph Data (optional):  </label>
                <clr-combobox formControlName="graphData"class="selection" >
                  <clr-options>
                    <clr-option *ngFor="let g of graphDataList" [clrValue]="g.url">
                      {{g.name}}
                    </clr-option>
                  </clr-options>
                </clr-combobox>
              </clr-combobox-container>
          </div>
          <br>
          <button class="btn btn-outline" [disabled]="disableBarChart" (click)="openChart()">Open chart</button>
          </div>
          

          <!--<div class="form-group">
            Excel file <input type="file" appReadexcel (eventEmiiter)="dataFromEventEmiiter($event)"/>
          </div>-->

          <!--formControlName="excel" -->
          <br><br>


          <!--DON TOUCH HERE-->
          <div class="clr-row">
            <div class="clr-col" id="sceneHeader2">
              Decision(s) - optional
            </div>
          </div>
          
          <div formArrayName="options">
            <div *ngFor="let item of options.controls; let i=index">
              <div [formGroupName]="i" >
                <div class="clr-row">
                  <div class="clr-col-lg-12 clr-col-12">
                  <div class="card">
                    <div class="card-header">
                      <clr-input-container>
                        <label for="">
                          Decision No. {{i+1}}* :
                        </label>
                        <input type="text" clrInput formControlName="optionName" placeholder="Decision Name" class="selection">
                      </clr-input-container>
                    </div>
                    <div class="card-block">
                      <div class="card-text">
                        <div class="clr-row">
                        <div class="clr-col">
                          <clr-textarea-container>
                            <label for="">
                              Impact Description*:
                            </label>
                            <textarea clrTextarea name="" id="" cols="15" rows="2" formControlName="impactScene"></textarea>
                          </clr-textarea-container>
                        </div>
                      </div>
                      <div *ngIf="item.value.optionName=='' || item.value.impactScene==''" class="alert alert-danger" role="alert">
                        <div class="alert-items">
                          <div class="alert-item static">
                            <div class="alert-icon-wrapper">
                              <clr-icon class="alert-icon" shape="exclamation-circle"></clr-icon>
                            </div>
                            <span class="alert-text">
                              Please fill up decision section!
                            </span>
                          </div>
                        </div>
                      </div>
                      <br>
                      <div class="clr-row">
                        <div class="clr-col" id="sceneHeader3">
                          Meter Impact:
                        </div>
                      </div>
                            <div formArrayName="consequences" clrLabelSize="3">
                              <div class="clr-row clr-justify-content-start">
                              <div class="clr-col" *ngFor="let opat of consequences(i).controls; let o = index">
                                <div [formGroupName]="o">
                                  <clr-input-container>
                                    <label>Meter Name:</label> 
                                    <input clrInput type="text" value={{opat.value.attributeName}} readonly style="width: max-content;">
                                  </clr-input-container>
                                  <clr-input-container>
                                    <label>Effect*:</label>
                                    <input clrInput class="effectClass" id="effectClass" type="number" min="-100" max="100" value="0" required formControlName="effect" style="width: 100px;">
                                  </clr-input-container>
                                  <!-- <br><br>
                                  <strong>
                                    Current Value {{opat.value.effect}}
                                  </strong> -->
                                  <!-- <clr-combobox-container>
                                    <clr-combobox>
                                      <clr-options clrSelect name="sceneEffect" required>
                                        <clr-option [clrValue]="1">+</clr-option>
                                        <clr-option [clrValue]="2">-</clr-option>
                                      </clr-options>
                                    </clr-combobox>
                                  </clr-combobox-container> -->
                                  <div *ngIf="opat.value.effect>100 || opat.value.effect<-100" class="alert alert-danger, clr-row" role="alert">
                                  <div class="clr-col">
                                  <div class="alert-items">
                                    <div class="alert-item static">
                                      <div class="alert-icon-wrapper">
                                        <clr-icon class="alert-icon" shape="exclamation-circle"></clr-icon>
                                      </div>
                                      <span class="alert-text">
                                        Meter Effect is not within the range of -100 to 100!
                                      </span>
                                    </div>
                                  </div>
                                  </div>
                                </div>
                                <div *ngIf="opat.invalid" class="alert alert-danger, clr-row" role="alert">
                                  <div class="clr-col">
                                  <div class="alert-items">
                                    <div class="alert-item static">
                                      <div class="alert-icon-wrapper">
                                        <clr-icon class="alert-icon" shape="exclamation-circle"></clr-icon>
                                      </div>
                                      <span class="alert-text">
                                        Please key in Meter Effect!
                                      </span>
                                    </div>
                                  </div>
                                  </div>
                                </div>
                                </div>
                                
                                
                              </div>
                              </div>
                            </div>
                            
                      </div>
                    </div>
                      <div class="card-footer">
                        <button (click)="removeDecision(i)" class="btn btn-outline">Remove Decision</button>
                      </div>
                    </div>
                  
                </div>
              </div>
              </div>
                  
              </div>
              </div>
            </div>


          <!---Don touch below-->
          

      <br>
      <p>
        <button class="btn btn-outline" type="button" (click)="addDecision()" [disabled]="postsForm.value.options.length>3">Add Decision</button>
        <strong>Maximum - 4 decisions</strong>

      </p>
      
      <br>

      <!--<button type="submit" class="btn btn-default" 
      [disabled]="postsForm.invalid" >Save Scene</button>-->

      <div *ngIf="postsForm.invalid == false">

      </div>


    </form>

    <!--<app-chart [isDisabled]="disableBarChart"></app-chart>-->

</div>

<!--</clr-modal>-->

<!-- <h5>Field Values</h5>
<pre style="font-size:15px">{{ postsForm.value | json }}</pre>

testing -->


<clr-modal [(clrModalOpen)]="openChartModal" clrModalSize="xl">
  <div class="modal-body">
    <div *ngIf="openChartModal">
      <app-chart></app-chart>        
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline" (click)="openChartModal = false">Close</button>
  </div>
</clr-modal>


